summaryrefslogtreecommitdiff
path: root/tizen/build.sh
diff options
context:
space:
mode:
authorStanislav Vorobiov <s.vorobiov@samsung.com>2012-09-17 13:21:05 +0400
committerEvgeny Voevodin <e.voevodin@samsung.com>2012-09-18 10:18:57 +0400
commitfd0a6566581c9e50b253033c948ca5b52d2536e6 (patch)
tree8b93f64a04a53ce46f5fcbdbc9771a4262044965 /tizen/build.sh
parentc17bc667c6d98922ef0e29282d3f8ca262f14efd (diff)
downloadqemu-fd0a6566581c9e50b253033c948ca5b52d2536e6.tar.gz
qemu-fd0a6566581c9e50b253033c948ca5b52d2536e6.tar.bz2
qemu-fd0a6566581c9e50b253033c948ca5b52d2536e6.zip
YaGL: Added YaGL stats support to build script
Diffstat (limited to 'tizen/build.sh')
-rwxr-xr-xtizen/build.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/tizen/build.sh b/tizen/build.sh
index 186716468a..08e930e1c8 100755
--- a/tizen/build.sh
+++ b/tizen/build.sh
@@ -8,6 +8,7 @@ EMUL_TARGET_LIST=""
VIRTIOGL_EN=""
OPENGLES_EN=""
YAGL_EN=""
+YAGL_STATS_EN=""
usage() {
echo "usage: build.sh [options] [target]"
@@ -26,6 +27,8 @@ usage() {
echo " enable openGLES passthrough device"
echo "-yagl|--yagl-device"
echo " enable YaGL passthrough device"
+ echo "-ys|--yagl-stats"
+ echo " enable YaGL stats"
echo "-e|--extra"
echo " extra options for QEMU configure"
echo "-u|-h|--help|--usage"
@@ -77,6 +80,21 @@ yagl_enable() {
esac
}
+yagl_stats_enable() {
+ case "$1" in
+ 0|no|disable)
+ YAGL_STATS_EN="no"
+ ;;
+ 1|yes|enable)
+ YAGL_STATS_EN="yes"
+ ;;
+ *)
+ usage
+ exit 1
+ ;;
+ esac
+}
+
set_target() {
if [ ! -z "$EMUL_TARGET_LIST" ] ; then
usage
@@ -133,6 +151,9 @@ do
-yagl|--yagl-device)
yagl_enable 1
;;
+ -ys|--yagl-stats)
+ yagl_stats_enable 1
+ ;;
-u|-h|--help|--usage)
usage
exit 0
@@ -187,6 +208,12 @@ else
CONFIGURE_APPEND="$CONFIGURE_APPEND --disable-yagl"
fi
+if test "$YAGL_STATS_EN" = "yes" ; then
+ CONFIGURE_APPEND="$CONFIGURE_APPEND --enable-yagl-stats"
+else
+ CONFIGURE_APPEND="$CONFIGURE_APPEND --disable-yagl-stats"
+fi
+
echo $CONFIGURE_SCRIPT $CONFIGURE_APPEND
$CONFIGURE_SCRIPT "$CONFIGURE_APPEND" && make -j$NUMCPU && make install